# <cvsfileset>

A <cvsfileset> is a <fileset> with extra attributes useful in the context of the <cvs> task.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
usecvsignore | bool | Indicates whether the entires in the .cvsignore should be used to limit the file list; true to exclude files in .cvsignore, otherwise false. The default is true. | False
basedir | directory | The base of the directory of this fileset. The default is the project base directory. | False
defaultexcludes | bool | Indicates whether default excludes should be used or not. The default is true. | False
failonempty | bool | When set to true, causes the fileset element to throw a ValidationException when no files match the includes and excludes criteria. The default is false. | False
id | string | The ID used to be referenced later. | False
refid | string | The ID to use as the reference. | False

### Nested Elements:

#### <includes>

Deprecated. The items to include in the fileset.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The pattern or file name to include. | True
asis | bool | If true then the file name will be added to the <fileset> without pattern matching or checking if the file exists. The default is false. | False
frompath | bool | If true then the file will be searched for on the path. The default is false. | False
if | bool | If true then the pattern will be included; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the pattern will be included; otherwise, skipped. The default is false. | False

#### </includes>

#### <include>

The items to include in the fileset.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The pattern or file name to include. | True
asis | bool | If true then the file name will be added to the <fileset> without pattern matching or checking if the file exists. The default is false. | False
frompath | bool | If true then the file will be searched for on the path. The default is false. | False
if | bool | If true then the pattern will be included; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the pattern will be included; otherwise, skipped. The default is false. | False

#### </include>

#### <excludes>

Deprecated. The items to exclude from the fileset.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The pattern or file name to exclude. | True
if | bool | If true then the pattern will be excluded; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the pattern will be excluded; otherwise, skipped. The default is false. | False

#### </excludes>

#### <exclude>

The items to exclude from the fileset.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The pattern or file name to exclude. | True
if | bool | If true then the pattern will be excluded; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the pattern will be excluded; otherwise, skipped. The default is false. | False

#### </exclude>

#### <includesList>

Deprecated. The files from which a list of patterns or files to include should be obtained.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
asis | bool | If true then the patterns in the include file will be added to the <fileset> without pattern matching or checking if the file exists. The default is false. | False
frompath | bool | If true then the patterns in the include file will be searched for on the path. The default is false. | False
if | bool | If true then the patterns will be included; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the patterns will be included; otherwise, skipped. The default is false. | False
name | file | The name of a file; each line of this file is taken to be a pattern. | True

#### </includesList>

#### <includesfile>

The files from which a list of patterns or files to include should be obtained.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
asis | bool | If true then the patterns in the include file will be added to the <fileset> without pattern matching or checking if the file exists. The default is false. | False
frompath | bool | If true then the patterns in the include file will be searched for on the path. The default is false. | False
if | bool | If true then the patterns will be included; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the patterns will be included; otherwise, skipped. The default is false. | False
name | file | The name of a file; each line of this file is taken to be a pattern. | True

#### </includesfile>

#### <excludesfile>

The files from which a list of patterns or files to exclude should be obtained.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | file | The name of a file; each line of this file is taken to be a pattern. | True
if | bool | If true then the patterns will be excluded; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the patterns will be excluded; otherwise, skipped. The default is false. | False

#### </excludesfile>

### Requirements

Assembly: NAnt.SourceControlTasks (0.85.2478.0)